function BBForC(bb_force_exp,bb_force_cfd,amplitude,period,object);
close all;
load(['M:\thesismatlab\Main Postproc\variables.mat']);

index1=find(ismember({bb_force_exp.object}, object));
index2=find(round(cell2mat({bb_force_exp.amplitude}))==amplitude);
index3=find([bb_force_exp.period]==period);
index_exp=intersect(intersect(index1,index2),index3);
srcdata_exp = bb_force_exp(index_exp);

index4=find(ismember({bb_force_cfd.object}, object));
index5=find([bb_force_cfd.amplitude]==amplitude);
index6=find([bb_force_cfd.period]==period);
index_cfd=intersect(intersect(index4,index5),index6);
srcdata_cfd = bb_force_cfd(index_cfd);

[exp_a,exp_b]=findpeaks(srcdata_exp.eta4loc_sb); exp_a=exp_b(1); exp_b=exp_b(end);
[cfd_a,cfd_b]=findpeaks(srcdata_cfd.eta4_imposed); cfd_a=cfd_b(1); cfd_b=cfd_b(end);

figure;
plot([srcdata_exp.time(exp_a:exp_b)-srcdata_exp.time(exp_a)],[srcdata_exp.Fz_starboard(exp_a:exp_b)],'r'); hold on;
plot([srcdata_cfd.t_postproc(cfd_a:cfd_b)-srcdata_cfd.t_postproc(cfd_a)],[-srcdata_cfd.Fz_starboard(cfd_a:cfd_b)],'b');
legend('Fz_{SB,Exp}','Fz_{SB,CFD}');
axis auto
grid on
xlabel('Time (s)','FontSize', 15);
hl=ylabel('$F_z (N.m)$','FontSize', 15);
set(hl, 'Interpreter', 'latex');
title('Bilge boxes force measurment starboard');

figure;
plot([srcdata_exp.time(exp_a:exp_b)-srcdata_exp.time(exp_a)],[srcdata_exp.Fz_port(exp_a:exp_b)],'r'); hold on;
plot([srcdata_cfd.t_postproc(cfd_a:cfd_b)-srcdata_cfd.t_postproc(cfd_a)],[-srcdata_cfd.Fz_port(cfd_a:cfd_b)],'b');
legend('Fz_{P,Exp}','Fz_{P,CFD}');
axis auto
grid on
xlabel('Time (s)','FontSize', 15);
hl=ylabel('$F_z (N.m)$','FontSize', 15);
set(hl, 'Interpreter', 'latex');
title('Bilge boxes force measurment port');

figure;
plot([srcdata_exp.time(exp_a:exp_b)-srcdata_exp.time(exp_a)],[srcdata_exp.Fz_A(exp_a:exp_b)],'k-'); hold on;
plot([srcdata_exp.time(exp_a:exp_b)-srcdata_exp.time(exp_a)],[srcdata_exp.Fz_B(exp_a:exp_b)],'k:');
plot([srcdata_exp.time(exp_a:exp_b)-srcdata_exp.time(exp_a)],[srcdata_exp.Fz_C(exp_a:exp_b)],'r-');
plot([srcdata_exp.time(exp_a:exp_b)-srcdata_exp.time(exp_a)],[srcdata_exp.Fz_D(exp_a:exp_b)],'r:');
legend('Fz_{A,Exp}','Fz_{B,Exp}','Fz_{C,Exp}','Fz_{D,Exp}');
axis auto
grid on
xlabel('Time (s)','FontSize', 15);
hl=ylabel('$F_z (N.m)$','FontSize', 15);
set(hl, 'Interpreter', 'latex');
title('Bilge boxes force measurment port');

end



