function [zuc] = mukZuC(t,x)
%% Zero-Upcrossing Calculation%%
x=x-mean(x);
n1=x(1:end-1);
n2=x(2:end);
index=n1.*n2;

negcolumn=find(index<0);            %Elevation n * Elevation n+1 = negative
indexzuc=find(x<0);                 %Elevation n = negative
zuc=intersect(negcolumn,indexzuc);  %Define where ZUC initiated
n_zuc=length(zuc)-1;

length1=1;

x_zuc=NaN(length(x),1);
t_zuc=NaN(length(x),1);

for i=1:(length(zuc)-1);
    length2=length(x(zuc(i)+1:zuc(i+1)))+length1-1;
    x_zuc(length1:length2)=x(zuc(i)+1:zuc(i+1));  
    t_zuc(length1:length2)=t(zuc(i)+1:zuc(i+1));
    length1=length1+length(x(zuc(i)+1:zuc(i+1)));
end
end